pdumodel::Panel_1_1_5 Interface Reference

PMC panel. More...

`import"Panel.idl";`

Inheritance diagram for pdumodel::Panel_1_1_5:

## Classes

struct | PanelSettings
| Panel settings. More...

## Public Types

enum | LabelingScheme { SEQUENTIAL, ODD_EVEN }
| Mapping of physical circuit positions (0-based) to logical labels. More...
Public Types inherited from pdumodel::PowerMeter_1_1_5
enum | Type { ONE_PHASE, SPLIT_PHASE, THREE_PHASE }
| Power meter type. More...

## Public Member Functions

PanelSettings | getPanelSettings ()
| Retrieve the panel settings. More...
int | setPanelSettings (in PanelSettings settings)
| Change the panel settings. More...
map< int, Circuit_1_0_3 > | getCircuits ()
| Retrieve the list of circuits. More...
int | createCircuit (out Circuit_1_0_3 circuit, in Circuit_1_0_3::Config config, in Circuit_1_0_3.Settings settings)
| Create a new circuit. More...
int | deleteCircuit (in int position)
| Delete a circuit. More...
Public Member Functions inherited from pdumodel::PowerMeter_1_1_5
Config | getConfig ()
| Retrieve the power meter configuration. More...
Sensors | getSensors ()
| Get the power meter sensors. More...
vector< Pole_5_0_0 > | getPoles ()
| Get the list of power meter poles. More...
vector< Controller_4_0_1 > | getControllers ()
| Get the list of slave controllers for this power meter. More...
Settings | getSettings ()
| Retrieve the power meter settings. More...
int | setSettings (in Settings settings)
| Change the power meter settings. More...
EnergyPulseSettings | getEnergyPulseSettings ()
| Retrieve the energy LED pulse settings. More...
int | setEnergyPulseSettings (in EnergyPulseSettings settings)
| Change the energy LED pulse settings. More...

## Public Attributes

valueobject | PanelSettingsChangedEvent: event::UserEvent { PanelSettings oldSettings
| Event: Panel settings have changed. More...
PanelSettings | newSettings
| Panel settings after change.
valueobject | CircuitCreatedEvent: event::UserEvent { Circuit_1_0_3 circuit
| Event: A new circuit was added. More...
Circuit_1_0_3::Config | config
| New circuit config.
Circuit_1_0_3::Settings | settings
| New circuit settings. More...
valueobject | CircuitDeletedEvent: event::UserEvent { Circuit_1_0_3::Config config
| Event: A circuit was deleted. More...
Public Attributes inherited from pdumodel::PowerMeter_1_1_5
constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.
constant int | ERR_MODBUS_UNIT_IN_USE = 2
| Modbus unit address is already in use.
valueobject | SettingsChangedEvent: event::UserEvent { Settings oldSettings
| Event: Power meter settings have changed. More...
Settings | newSettings
| Settings after change.
valueobject | EnergyPulseSettingsChangedEvent: event::UserEvent { EnergyPulseSettings oldSettings
| Event: Energy LED pulse settings have changed.
EnergyPulseSettings | newSettings

## Detailed Description

PMC panel.

A panel contains:

- a three-phase power meter
- a configurable number of branch meter channels
- a configurable number of circuit positions
- configurable logical circuits combining multiple positions

## Member Enumeration Documentation

## LabelingScheme

enum pdumodel::Panel_1_1_5::LabelingScheme

Mapping of physical circuit positions (0-based) to logical labels.

Enumerator
SEQUENTIAL | Circuit positions 0..2 are labeled 1, 2 and 3.
ODD_EVEN | Circuit positions 0..2 are labeled 1, 3 and 5 (two columns)

## Member Function Documentation

## createCircuit()

int pdumodel::Panel_1_1_5::createCircuit | ( | out Circuit_1_0_3 | circuit,
|  | in Circuit_1_0_3::Config | config,
|  | in Circuit_1_0_3.Settings | settings
| ) |  |

Create a new circuit.

Parameters

  circuit | Result: Newly created instance
  config | New circuit config
  settings | New circuit settings

Returns
  0 if OK
  1 if the circuit config or settings are invalid

## deleteCircuit()

int pdumodel::Panel_1_1_5::deleteCircuit | ( | in int | position | ) |

Delete a circuit.

Parameters

  position | Position of circuit to be deleted

Returns
  0 if OK
  1 if the circuit position is invalid

## getCircuits()

map<int, Circuit_1_0_3> pdumodel::Panel_1_1_5::getCircuits | ( |  | ) |

Retrieve the list of circuits.

Returns
  Configured circuits by position

## getPanelSettings()

PanelSettings pdumodel::Panel_1_1_5::getPanelSettings | ( |  | ) |

Retrieve the panel settings.

Returns
  Panel settings

## setPanelSettings()

int pdumodel::Panel_1_1_5::setPanelSettings | ( | in PanelSettings | settings | ) |

Change the panel settings.

Parameters

  settings | New panel settings

Returns
  0 if OK
  1 if any parameters are invalid

## Member Data Documentation

## CircuitCreatedEvent

valueobject pdumodel::Panel_1_1_5::CircuitCreatedEvent

Event: A new circuit was added.

New circuit

## CircuitDeletedEvent

valueobject pdumodel::Panel_1_1_5::CircuitDeletedEvent

Event: A circuit was deleted.

Old circuit config

## PanelSettingsChangedEvent

valueobject pdumodel::Panel_1_1_5::PanelSettingsChangedEvent

Event: Panel settings have changed.

Panel settings before change

## settings

Circuit_1_0_3::Settings pdumodel::Panel_1_1_5::settings

New circuit settings.

Old circuit settings.

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Panel.idl